Package org.opensaml.security.x509

# Class X509DigestCriterion

java.lang.Object
org.opensaml.security.x509.X509DigestCriterion

All Implemented Interfaces:
  `Criterion`

public final class X509DigestCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies criteria based on the digest of an X.509 certificate.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`algorithm`
Digest algorithm.
`private byte[]`
`x509digest`
X.509 certificate digest.

## Constructor Summary

Constructors
Constructor
Description
`X509DigestCriterion(String alg, byte[] digest)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAlgorithm()`
Get the digest algorithm.
`byte[]`
`getDigest()`
Get the certificate digest.
`int`
`hashCode()`
`void`
`setAlgorithm(String alg)`
Set the digest algorithm.
`void`
`setDigest(byte[] digest)`
Set the certificate digest.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### algorithm

@Nonnull private String algorithm
Digest algorithm.

### x509digest

@Nonnull private byte[] x509digest
X.509 certificate digest.

## Constructor Details

### X509DigestCriterion

public X509DigestCriterion(@Nonnull String alg, @Nonnull byte[] digest)
Constructor.

Parameters:
  `alg` - algorithm of digest computation
  `digest` - certificate digest

## Method Details

### getAlgorithm

@Nonnull public String getAlgorithm()
Get the digest algorithm.

Returns:
  the digest algorithm

### setAlgorithm

public void setAlgorithm(@Nonnull String alg)
Set the digest algorithm.

Parameters:
  `alg` - the digest algorithm to set

### getDigest

@Nonnull public byte[] getDigest()
Get the certificate digest.

Returns:
  the digest

### setDigest

public void setDigest(@Nonnull byte[] digest)
Set the certificate digest.

Parameters:
  `digest` - the certificate digest to set

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`